# Enable or Disable Feature Requests

You can completely prevent any feature request-related features from displaying by disabling them using the API below.

{% tabs fullWidth="true" %}
{% tab title="iOS - Swift" %}

```swift
//Enable
FeatureRequests.enabled = true

//Disable
FeatureRequests.enabled = false
```

{% endtab %}

{% tab title="iOS - ObjC" %}

```objectivec
//Enable
LCQFeatureRequests.enabled = YES;

//Disable
LCQFeatureRequests.enabled = NO;
```

{% endtab %}

{% tab title="And - Java" %}

```java
//Enable
FeatureRequests.setState(Feature.State.ENABLED);

//Disable
FeatureRequests.setState(Feature.State.DISABLED);
```

{% endtab %}

{% tab title="And - Kotlin" %}

```kotlin
//Enable
FeatureRequests.setState(Feature.State.ENABLED)

//Disable
FeatureRequests.setState(Feature.State.DISABLED)
```

{% endtab %}

{% tab title="RN" %}

```javascript
//Enable
FeatureRequests.setEnabled(true);

//Disable
FeatureRequests.setEnabled(false);
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.luciq.ai/references/in-app-feature-requests/enable-or-disable-feature-requests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
